## Regions (`regions`)

Geographic regions used to categorize nodes and node groups.

Authentication: Admin only · Docs: https://www-demo.kuxitong.com/en/docs/api/regions

### GET `/api/v2/regions`

List regions · Authentication: Admin only

Query parameters:

| Field | Type | Required | Description |
|---|---|---|---|
| `page` | integer |  | Page number, starting from 1 Default: 1 |
| `page_size` | integer |  | Items per page Default: 20 |
| `sort` | string |  | Sort fields, comma-separated; prefix `-` for descending, e.g. `-created_at,id` |

```sh
curl "https://panel.example.com/api/v2/regions" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### POST `/api/v2/regions`

Create region · Authentication: Admin only

Request body:

| Field | Type | Required | Description |
|---|---|---|---|
| `des` | string |  | Description |
| `name` | string | Yes | Name |

```sh
curl -X POST "https://panel.example.com/api/v2/regions" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### GET `/api/v2/regions/{id}`

Get region · Authentication: Admin only

```sh
curl "https://panel.example.com/api/v2/regions/{id}" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### PUT `/api/v2/regions/{id}`

Update region · Authentication: Admin only

Request body:

| Field | Type | Required | Description |
|---|---|---|---|
| `des` | string |  | Description |
| `name` | string |  | Name |

```sh
curl -X PUT "https://panel.example.com/api/v2/regions/{id}" \
  -H "X-API-Key: $GOCDN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"des":"east"}'
```

### DELETE `/api/v2/regions/{id}`

Delete region · Authentication: Admin only

```sh
curl -X DELETE "https://panel.example.com/api/v2/regions/{id}" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

Regions object:

| Field | Type | Required | Description |
|---|---|---|---|
| `created_at` | string |  | Created at (read-only) |
| `des` | string |  | Description |
| `id` | integer |  | Record ID (read-only) |
| `name` | string |  | Name |
| `updated_at` | string |  | Updated at (read-only) |
